What dependencies are needed to install MATLAB on "minimal" or "core" Linux installations?

261 visualizaciones (últimos 30 días)
I have a "minimal" or "core" installation of Linux and I'd like to install MATLAB on it. What additional dependencies are needed to do so?

Respuesta aceptada

MathWorks Support Team
MathWorks Support Team el 7 de Sept. de 2023
MATLAB and Simulink are validated on standard installations of the distributions listed on our system requirements page. “Minimal” or “core” installations of Linux may lack the necessary software packages required to install and run MATLAB and Simulink. You can likely add required software packages to a minimal Linux installation, but technical support will be limited. 
You can find the dependencies required for MATLAB R2019b and newer for Ubuntu by viewing the base_dependencies.txt for the matlab-deps docker image. MATLAB R2021b and newer additionally have this text file for Ubi8. This can be found on the following page:
Under "files" on the left side of the page, select the desired release, and then operating system. Then, click on base_dependencies.txt to view the dependencies needed. 

Más respuestas (0)

Categorías

Más información sobre Introduction to Installation and Licensing en Help Center y File Exchange.

Etiquetas

Aún no se han introducido etiquetas.

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by